Page MenuHomePhabricator

Add mention failure notification for multiple section edits
Closed, DuplicatePublic5 Story Points

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 12:18 PM
Tobi_WMDE_SW triaged this task as Normal priority.Jun 29 2016, 12:19 PM
Tobi_WMDE_SW set the point value for this task to 8.
Tobi_WMDE_SW moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-06-29 board.
WMDE-Fisch moved this task from Backlog to Doing on the TCB-Team-Sprint-2016-06-29 board.

We still need a text for the mention failure notification when doing a multiple section edit..

@Lea_WMDE @Charlie_WMDE @Jan_Dittrich

@WMDE-Fisch can you explain what the difference would be to a non-multi section edit?

Yes. In the current system, mention notifications are only triggered, when you add content to one and only one section. There can still be reasons why this wont work and that's why we have the simple mention failure notification.

But when you add text across multiple sections in one edit including links to user pages ( and therefore possible mentions ) no mention notifications will be send at all.

We are not entirely sure why. So before we just activate mentions for these case we first want to inform the users that a possible meant mention was not send due to the multiple section edit.

Sorry for the delay! What do you think about:
Your mention for "UserX" was not sent because you edited multiple sections.
We probably don't need a collapsing part, because this will hinder all mentions due to the same reason, right?

Yes it will hinder all mentions due to the same reason. Its the same as with the >50 mentions.

But if we want to keep the hint about the username we should think of a message if more then one user was "pinged".

I would go with

Your mention for "UserX" and 34 others was not sent because you edited multiple sections.

Where 34 others is a link to be expandable to a list of user names. However, we don't know if that fits to the current notification design yet. @Charlie_WMDE is still figuring that out

Your mention for "UserX" and 34 others was not sent because you edited multiple sections.

Thanks. Sounds good we can have that.

Where 34 others is a link to be expandable to a list of user names.

I am not sure if that's so easy. Using the implemented bundle/expand option for that case could mean sending 34 failure notifications. We probably don't want to do that and I don't know of other options having an expandable list within the notifications.

WMDE-Fisch changed the point value for this task from 8 to 5.

Please make sure T140234 has been merged if this is the first mention notification patch to be merged

Current design which we agreed upon bundles the multiple section edit with other failures and doesn't show any success messages (if success messages are activated)

How do you want to divide between multiple section edits and moving (copypasting) or manual archiving of multiple sections?

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 22 2016, 10:32 AM

Change 298419 had a related patch set uploaded (by WMDE-Fisch):
Add mention failure notification for multiple section edits

https://gerrit.wikimedia.org/r/298419

Would this be counted as a multiple section edit in terms of this task?

Okay, I looked into the problem in more detail with some more tests. The multiple section issue is a bit more complicated.

Adding content in multiple existing sections in parallel is not a problem and you can mention people. But:

  • If you add content in multiple existing sections also including the addition of a new section no one will be mentioned and we now trigger the multiple section failure.
  • If you add several userlinks in multiple existing sections, you have to sign once in every section where you added a userlink to trigger mentions. Otherwise userlinks in the sections where you did not sign will be ignored.

The intend of our failure notifications is to give hints when mentions might fail due to several reasons. In regard to multiple sections at least one problem is addressed - and as I see it - solved by the patch. We might rethink the notification message because it is not 100% accurate though.

I wonder of Jakobs patch for the content changes solves the other problem.

Ok the new findings here kind of raise the question if we should really send out a failure for that case.

If the original code handles mentions for edits in multiple sections it should also handle mentions when a new section is added in between sections.

Trizek-WMF added a subscriber: Trizek-WMF.EditedAug 4 2016, 8:10 AM

Do you plan to deploy it on all wikis or just a small cluster of volunteer wikis? And when? It hasn't been merged on 1.28.0-wmf.14 yet.

Is documentation ready to be created if needed, or upgraded there?

merging this story with the other one, since it seems to be better to correct the behavior than to send out a failure notification. This is especially true if you consider, that one of these failures blocks all mentions of the save. If you want to correct a mention failure, you always have to add the userlinks and your signature again, which is cumbersome and would not be very appreciated

Change 298419 abandoned by WMDE-Fisch:
Add mention failure notification for multiple section edits

Reason:
Instead of sending a failure we now try to send mention notifications in cases where multiple sections are edited at once.

New patch to solve this see
https://gerrit.wikimedia.org/r/#/c/304198/

https://gerrit.wikimedia.org/r/298419